Retrieves all the article status list
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
article_status_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_status_id |
Foreign key of the article_status |
globally unique identifier |
Required |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| sales_organization_id | globally unique identifier |
Required |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "5a937fc5-5d27-4e2e-8b04-9d782a8538bd",
"article_status_id": "2c3253e8-8e3b-4568-9891-5506d344a939",
"article_id": "6d146ef1-f275-4fde-bc15-10ee790a4759",
"article_code": "sample string 4",
"sales_organization_id": "9ce553da-ce14-4b81-a3d1-a108d2c6d812",
"modified_dateutc": "2026-09-30T09:32:35.4537849+00:00"
}